import { ObjectId } from 'mongodb'

export default defineEventHandler(async (event) => {
  const user = await getAuth(event)

  const teamsColl = db.collection('teams')
  const team = await teamsColl.findOneAndUpdate({ _id: new ObjectId(user.team.id) }, { $inc: { count: -1 }})

  const usersColl = db.collection('users')
  await usersColl.findOneAndUpdate({ _id: new ObjectId(user._id) }, { $unset: { team: "" } })

  if (team.value.count <= 1) {
    await teamsColl.deleteOne({ _id: new ObjectId(user.team.id )})
  }
  return team
});
